<?php

/**
 * generate_accesors filter form base class.
 *
 * @package    balsit
 * @subpackage filter
 * @author     Krzysiek Wesołowski
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 24171 2009-11-19 16:37:50Z Kris.Wallsmith $
 */
abstract class Basegenerate_accesorsFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
    ));

    $this->setValidators(array(
    ));

    $this->widgetSchema->setNameFormat('generate_accesors_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'generate_accesors';
  }

  public function getFields()
  {
    return array(
      'id' => 'Number',
    );
  }
}
